SoGLCacheList(3)

NAME
SoGLCacheList - The SoGLCacheList class is used to store and manage OpenGL caches.

SYNOPSIS

#include <Inventor/caches/SoGLCacheList.h>

  Public Member Functions
SoGLCacheList (int numcaches=2)
~SoGLCacheList ()
SbBool call (SoGLRenderAction *action)
void open (SoGLRenderAction *action, SbBool autocache=TRUE)
void close (SoGLRenderAction *action)
void invalidateAll (void)

Detailed Description

The SoGLCacheList class is used to store and manage OpenGL caches.

Constructor & Destructor Documentation

  SoGLCacheList::SoGLCacheList (int numcaches = 2)
Constructor.

  SoGLCacheList::~SoGLCacheList ()
Destructor. Frees remaining caches.

Member Function Documentation

  SbBool SoGLCacheList::call (SoGLRenderAction * action)
Test for valid cache and execute. Returns TRUE if a valid cache could be found, FALSE otherwise. Note that when a valid cache is found, it is executed before returning from this method.

  void SoGLCacheList::open (SoGLRenderAction * action, SbBool autocache = TRUE)
Start recording a new cache. Remember to call close() when you've finished recording the cache.

See also
    close()

  void SoGLCacheList::close (SoGLRenderAction * action)
Finish recording the currently open cache.

See also
    open()

  void SoGLCacheList::invalidateAll (void)
Invalidate all caches in this instance. Should be called from the notify() method of nodes doing caching.

Author

Generated automatically by Doxygen for Coin from the source code.